Appointments API
Get an appointment
Get an appointment in the current workspace.
GET
/v1/appointments/{appointmentId}Request
Path, query, and JSON body fields accepted by this operation.
appointmentIdstring<uuid>requiredpath
Response
Successful responses use Dawn's data envelope.
dataAppointmentrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredpatientIdstring<uuid>requiredpractitionerIdstring<uuid>requiredstartsAtstring<date-time>requiredendsAtstring<date-time>requiredstatus"scheduled" | "checked_in" | "in_progress" | "completed" | "cancelled" | "no_show"requiredreasonstring | nullrequiredmax length 240createdAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
403Scheduling is disabled or unavailable.404The appointment could not be found.422The appointment ID is invalid.503The appointment is temporarily unavailable.
Last updated on